import { useState } from 'react';
import PropTypes from 'prop-types';
import Input from '../../Base/Input/Index';
import Button from '../../Base/Button/Index';
import styles from './styles.module.css';

const Login = ({ handleSubmit }) => {
  const [inputValue, setInputValue] = useState();
  const onValueChange = (e) => {
    setInputValue(e);
  };
  return (
    <div className={styles.bg}>
      <section className={styles.container}>
        <div className={styles.contentWrapper}>
          <div className={styles.title}>Welcome Back!</div>
          <div className={styles.desc}>
            Login with email and passoword to book seats.
          </div>
        </div>
        <div className={styles.formWrapper}>
          <Input
            label="Email"
            name="email"
            type="email"
            placeholder="Enter email"
            value={inputValue}
            onChange={(e) => onValueChange(e.target.value)}
          />
          <Button size={'md'} onClick={() => handleSubmit(inputValue)}>
            Confirm
          </Button>
        </div>
      </section>
    </div>
  );
};

export default Login;

Login.propTypes = {
  handleSubmit: PropTypes.func.isRequired
};
